package pw.yumc.Residence.runnable;

import pw.yumc.Residence.ResidenceMain;

public class LeaseTask implements Runnable {
    ResidenceMain plugin;

    public LeaseTask(final ResidenceMain plugin) {
        this.plugin = plugin;
    }

    @Override
    public void run() {
        plugin.getLeaseManager().doExpirations();
        if (plugin.getConfigManager().showIntervalMessages()) {
            plugin.getLogger().info(" - Lease Expirations checked!");
        }
    }
}
